package com.bsoft.admin.model.reqmodel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel("账号密码")
public class CodeAndPwd {
    @ApiModelProperty(value="账号",required = true)
    @NotNull(message = "账号 参数必传")
    String loginName;
    @NotNull(message = "密码 参数必传")
    @ApiModelProperty(value="密码",required = true)
    String password;

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @Override
    public String toString() {
        return "CodeAndPwd{" +
                "loginName='" + loginName + '\'' +
                ", password='" + password + '\'' +
                '}';
    }
}
