package com.bsoft.admin.service;

import com.bsoft.admin.model.DicOrg;
import com.bsoft.admin.model.SysUserOrgRs;
import com.bsoft.admin.model.reqmodel.OrgReq;

import java.util.List;

public interface DicOrgService {
    List<DicOrg> getAll(OrgReq.GetOrgReq org);
    DicOrg info(Long orgId);
    boolean addOrg(Long userId,OrgReq.AddOrgReq org);
    boolean deleteOrg(OrgReq.DeleteOrgReq org);
    boolean updateOrg(OrgReq.UpdateOrgReq org);
    DicOrg getByName(String orgName);
    SysUserOrgRs getUserOrg(Long userId);
    boolean saveUserOrg(Long userId,OrgReq.SaveUserOrgReq org);
}
